Name:           manaplus
Version:        1.3.1.20
Release:        1%{?dist}
Summary:        OpenSource 2D MMORPG client for Evol Online and The Mana World
License:        GPLv2+
Url:            http://manaplus.evolonline.org/
Source0:        http://download.evolonline.org/manaplus/download/%{version}/%{name}-%{version}.tar.xz
Patch0:         %{name}-fix-fsf-address.patch
Patch1:         %{name}-fix-utf8.patch
Requires:       dejavu-sans-fonts
Requires:       dejavu-sans-mono-fonts
Requires:       dejavu-serif-fonts
Requires:       liberation-mono-fonts
Requires:       liberation-sans-fonts
Requires:       mplus-1p-fonts
Requires:       x11-utils
Requires:       xdg-utils
Requires:       xsel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  guichan-devel
BuildRequires:  libcurl-devel
BuildRequires:  libpng-devel
BuildRequires:  physfs-devel
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  SDL_gfx-devel
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_net-devel
BuildRequires:  SDL_ttf-devel

%description
ManaPlus is an extended client for Evol Online, The Mana World, and similar
servers based on a fork of eAthena. Evol Online is a 2D fantasy-style game
which aims to create a friendly environment for interacting with others where
people can escape reality and enjoy themselves. The Mana World (TMW) is a
serious effort to create an innovative free and open source MMORPG.
TMW uses 2D graphics and aims to create a large and diverse interactive world.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# We will build without bundeled guichan. To make sure it will be removed.
rm -rf src/guichan

%build
%configure --without-internalguichan

make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}test.desktop

# Use system fonts
rm -f %{buildroot}/%{_datadir}/%{name}/data/fonts/*.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSans-Bold.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/dejavusans-bold.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSansMono-Bold.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/dejavusansmono-bold.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSansMono.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/dejavusansmono.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSansSerifCondensed-Bold.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/dejavuserifcondensed-bold.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSansSerifCondensed.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/dejavuserifcondensed.ttf
ln -s %{_datadir}/fonts/dejavu/DejaVuSans.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/dejavusans.ttf
ln -s %{_datadir}/fonts/liberation/LiberationMono-Bold.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/liberationsansmono-bold.ttf
ln -s %{_datadir}/fonts/liberation/LiberationMono-Regular.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/liberationsansmono.ttf
ln -s %{_datadir}/fonts/liberation/LiberationSans-Bold.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/liberationsans-bold.ttf
ln -s %{_datadir}/fonts/liberation/LiberationSans-Regular.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/liberationsans.ttf
ln -s %{_datadir}/fonts/mplus/mplus-1p-bold.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/mplus-1p-bold.ttf
ln -s %{_datadir}/fonts/mplus/mplus-1p-regular.ttf %{buildroot}/%{_datadir}/%{name}/data/fonts/mplus-1p-regular.ttf

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING docs/FAQ.txt README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}test.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}test.6*

%changelog
* Fri Feb 1 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 1.3.1.20-1
- First version for official fedora repos.
